%define __kde4_alternate_placement 1

%define rname kio-sysinfo
%ifdef __kde4_alternate_placement
Name: kde4-%rname
%else
Name: %rname
%endif
%define major 2
%define minor 0
%define bugfix %nil

%if "%bugfix" == "%nil"
Version: %major.%minor
%else
Version: %major.%minor.%bugfix
%endif
Release: alt0.M50.1

Group: Graphical desktop/KDE
Summary: KIO-Slave to show system information
Url: http://www.kde.org/
License: GPL

Requires: kde4libs >= %{get_version kde4libs}

%ifdef __kde4_alternate_placement
%else
Provides: kde4-kio-sysinfo = %version-%release
Obsoletes: kde4-kio-sysinfo < %version-%release
%endif


Source: sysinfo-%version.tar.gz
Patch1: sysinfo-2.0-alt-fix-crash.patch
Patch2: sysinfo-2.0-alt-release.patch
Patch3: sysinfo-2.0-alt-binpaths.patch
Patch4: sysinfo-2.0-alt-nosysname.patch

# Automatically added by buildreq on Mon Mar 30 2009 (-bi)
#BuildRequires: gcc-c++ kde4base-workspace-core kde4libs-devel libGL-devel libXScrnSaver-devel libXau-devel libXcomposite-devel libXdmcp-devel libXpm-devel libXt-devel libXtst-devel libXv-devel libXxf86misc-devel libhal-devel libhwinfo-devel libqt3-devel libxkbfile-devel rpm-build-ruby xorg-xf86vidmodeproto-devel
BuildRequires(pre): kde4libs-devel
BuildRequires: gcc-c++ kde4base-workspace-core libhal-devel libhwinfo-devel

%description
KIO-Slave to show system information


%prep
%setup -q -n sysinfo-%version
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

cat >CMakeLists.txt <<__EOF__
project(KIO_SYSINFO)
cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
find_package(KDE4Internal REQUIRED)
find_package(DBus REQUIRED)

include(KDE4Defaults)
include(MacroLibrary)
include(CheckFunctionExists)
include(CheckIncludeFiles)

add_definitions (\${QT_DEFINITIONS} \${KDE4_DEFINITIONS})

include_directories (\${CMAKE_SOURCE_DIR} \${CMAKE_CURRENT_BINARY_DIR} \${KDE4_INCLUDES} \${DBUS_INCLUDE_DIR} \${DBUS_ARCH_INCLUDE_DIR})
add_subdirectory(src)

find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory(po)
__EOF__

pushd po
>CMakeLists.txt
for po in *.po
do
    nm=`echo $po| sed 's|\.po$||'`
    mkdir $nm
    mv $po $nm/kio_sysinfo.po
    echo "add_subdirectory($nm)" >> CMakeLists.txt
cat >$nm/CMakeLists.txt <<__EOF__
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES($nm ALL INSTALL_DESTINATION \${LOCALE_INSTALL_DIR} \${_po_files} )
__EOF__
done
popd


%build
%K4build


%install
%K4install
%K4find_lang kio_sysinfo


%files -f kio_sysinfo.lang
%_K4lib/libksysinfopart.so
%_K4lib/kio_sysinfo.so
%_K4apps/sysinfo/
%__kde4_xdg_apps/kfmclient_sysinfo.desktop
%_K4xdg_mime/x-sysinfo.xml
%_K4srv/sysinfo.protocol
%_K4srv/ksysinfopart.desktop


%changelog
* Tue Mar 31 2009 Sergey V Turchin <zerg@altlinux.org> 2.0-alt0.M50.1
- built for M50

* Mon Mar 30 2009 Sergey V Turchin <zerg at altlinux dot org> 2.0-alt1
- initial specfile
